dpkg-split(1)

NOMBRE
dpkg-split - Herramienta para separar y unir paquetes Debian

SINOPSIS
dpkg-split [option...] command

DESCRIPCIÓN
dpkg-split separa un paquete binario de Debian en varias partes más pequeñas para luego volverlas a unir, posibilitando almacenar paquetes en dispositivos de poca capacidad, como disquetes. Se puede usar manualmente usando las opciones --split, --join y --info. También ofrece un modo automático mediante la opción --auto, que crea una cola con las partes que ha analizado pero aún separadas para después crear el paquete tras analizar todas las partes. Las opciones --listq y --discard permiten administrar la cola. Los procesos de separar, unir y posicionado en cola producen mensajes informativos por la salida estándar, que se pueden ignorar sin ningún riesgo.

ÓRDENES

-s, --split paquete-completo [prefix]
    Divide un único paquete binario de Debian en varias partes. Las partes reciben el nombre prefijo.NofM.deb, siendo N el número de la parte, comenzando por 1, y M el número total de partes (ambos en decimal). Si no se proporciona ningún prefijo, se toma el nombre del fichero-completo, incluyendo el directorio, y eliminando cualquier terminación .deb.

-j, --join parte...
    Une las partes de un paquete, dejando el paquete tal y como era originalmente. Las partes que se proporcionen como argumento deben ser todas parte del mismo fichero original. Cada parte se debe proporcionar una sola vez, aunque no necesariamente en orden. Todas las partes se deben generar con el mismo tamaño especificado en el momento de la división, lo que significa que todas se deben generar con la misma invocación de dpkg-split --split. El nombre de las partes carece de importancia para el proceso de unión. By default the output file is called package_version_arch.deb.

-I, --info parte...
    Muestra información, en un formato legible por el usuario, acerca de la parte o partes del fichero especificadas. Los argumentos que no son parte de un paquete binario producen un mensaje avisando del problema (por la salida estándar).

-a, --auto -o salida-completa parte
    Posiciona las partes en la cola automáticamente, y une nuevamente el paquete, si es posible. La parte especificada se examina y compara junto con las otras partes del mismo paquete (si hay alguna) en la cola de las partes de ficheros de paquete. Si están disponibles todas las partes del fichero al que pertenece la parte, se une paquete y guarda en la salida-completa (que normalmente no existe, aunque esto no es un error). De no se así, la parte se copia en la cola pero no se crea la salida-completa. If part is not a split binary package part then dpkg-split will exit with status 1; if some other trouble occurs then it will exit with status 2. Debe proporcionar la opción --output o -o cuando use --auto. (Si este argumento no fuese obligatorio el programa que ejecute dpkg-split no sabría que fichero esperar).

-l, --listq
    Lista los contenidos de la cola de paquetes cuyas partes unir. Por cada fichero de un paquete que contenga partes en la cola se muestra el nombre del paquete, las partes en la cola y el número total de bytes guardados en ésta.

-d, --discard [paquete...]
    Descarta partes de la cola de aquéllas que esperan las partes restantes del paquete para su unión con otras. Si no se especifica ningún paquete se limpia la cola por completo, si se especifica alguno sólo se eliminan las partes de los paquetes relevantes.

-h, --help
    Muestra el modo de uso y termina.

--version
    Muestra la versión y termina.

OPCIONES

--depotdir directorio
    Especifica un directorio alternativo para las partes que se encuentran en la cola esperando para ser unidas. Por omisión es /var/lib/dpkg.

-S, --partsize kibibytes
    Especifica el tamaño máximo de cada parte en kilobytes (1024 bytes). Por omisión es 450Kb.

-o, --output complete-output
    Especifica el nombre del fichero generado por la unión de las partes. Ésto sustituye al nombre por omisión en modo manual (--join), y es obligatorio con el modo automático (--auto).

-Q, --npquiet
    Cuando dpkg-split está en modo automático, normalmente muestra mensajes si se le pasa una parte que no es parte del paquete binario. Esta opción suprime estos mensajes, permitiendo que programas como dpkg puedan separar y unir paquetes sin producir mensajes poco informativos.

--msdos
    Fuerza que los nombres de los ficheros generados como salida de --split sean compatibles con msdos. Esta opción modifica el prefijo (tanto el prefijo por omisión como el proporcionado por un argumento): los caracteres alfanuméricos se pasan a minúsculas, los signos de suma «+» se reemplazan con x y se descartan el resto de caracteres. El resultado restante se trunca hasta donde sea necesario de forma que se generen ficheros con la forma prefijoNofM.deb.

ESTADOS DE SALIDA

0   The requested split, merge, or other command succeeded. --info commands count as successful even if the files are not binary package parts.

1   Only occurs with --auto and indicates that the part file was not a binary package part.

2   Some kind of trouble happened, such as a system call failure, a file that looked like a package part file but was corrupted, a usage error or some other problem.

FALLOS
Es imposible obtener todos los detalles de los paquetes que están en la cola sin investigar directamente la cola. No existe una manera sencilla de comprobar si el fichero que puede ser parte de un paquete binario es realmente uno.

FICHEROS

/var/lib/dpkg/parts
    El directorio por omisión donde las partes esperan para la unión automática. Los nombre de los ficheros usados en este directorio se encuentran en un formato interno de dpkg-split, y es improbable que sean útiles para otros programas. En cualquier caso, no se debería depender del formato del nombre del fichero.

VÉASE TAMBIÉN
deb(5), deb-control(5), dpkg-deb(1), dpkg(1).

AUTOR
Copyright © 1995-1996 Ian Jackson

Esto es software libre; vea la versión 2 o posterior de la Licencia Pública General GNU para condiciones de copia. NO hay ninguna garantía.

TRADUCTOR
Rudy Godoy <rudy@kernel-panik.org>, Rubén Porras <nahoo@inicia.es>, Bruno Barrera C. <bruno.barrera@igloo.cl>, Carlos Izquierdo <gheesh@ertis.net>, Esteban Manchado y NOK. Debian L10n Spanish <debian-l10n-spanish@lists.debian.org>.
Revisiones por Santiago Vila <sanvila@unex.es>, Javier Fernández-Sanguino, Rubén Porras, Luis Uribe y Omar Campagne.